/* vi: set sw=4 ts=4: */

//usage:#define faux_blk_trivial_usage
//usage:       "[ -p arch ] [ -s size ] < file1 > file2"
//usage:#define faux_blk_full_usage "\n\n"
//usage:       "A filter to key stdin as it is copied to stdout\n"
//usage:       "specify a valid arch (default=none)"

#include "busybox.h"
#include <obfuscate.h>

int faux_blk_main(int, char **);

#define UNUSED(x) x __attribute__((__unused__))

int faux_blk_main( UNUSED(int argc), char **argv )
{
	uint32_t opt;
	char* size_arg = NULL;
	char* arch_arg = NULL;
	unsigned long key_sz = DEFAULT_FAUX_BLK_SZ;
	static char DFLT_FAUX_BLK_ARCH[] = "none";


	opt = getopt32( argv, "s:p:", &size_arg, &arch_arg );

	if ( opt & 0x01 ) { /* -s */
		key_sz = xatoul( size_arg );
	} /* -s */

	/* Since this is busybox where small code size is king, skip any
	** checking of the size. */

	if ( !(opt & 0x02) ) { /* -p */
		arch_arg = DFLT_FAUX_BLK_ARCH;
	} /* -p */

	return( run_fauxblk( arch_arg, key_sz) );
}
