/* vi: set sw=4 ts=4: */

//usage:#define unobfu_trivial_usage
//usage:       "[ -s size ] < file1 > file2"
//usage:#define unobfu_full_usage "\n\n"
//usage:       "A filter to remove a (faux_blk) key from stdin as it is copied to stdout"

#include "busybox.h"
#include <obfuscate.h>

int unobfu_main(int, char **);

#define UNUSED(x) x __attribute__((__unused__))


int unobfu_main( UNUSED(int argc), char **argv )
{
	uint32_t opt;
	char* size_arg = NULL;
	unsigned long key_sz = DEFAULT_FAUX_BLK_SZ;


	opt = getopt32( argv, "s:", &size_arg );

	/* Since this is busybox where small code size is king, skip any
	** checking of the size. */

	if ( opt & 0x01 ) { /* -p */
		key_sz = xatoul( size_arg );
	} /* -p */

	return( run_unobfu( key_sz) );
}
